<?php

function create_connection_cfg($connDetails)
{
    $config = 'CORE=' . $connDetails['coreIp'] .'
#### bonder specifics ####
BONDNAME=' . $connDetails['name'] . '
BONDID=' . $connDetails['id'] . '
ASSET=' .$connDetails['asset'] . '
BONDWANSUBNET=/' . mask2cidr($connDetails['wan']['subnet']) . '
BONDWANNETWORKIP=' . get_network_ip($connDetails['wan']['ip'], $connDetails['wan']['subnet']) . '
BONDWANIP=' . $connDetails['wan']['ip'] . '
REDUNDANCY=' . $connDetails['redundancy'] . '
#### Team Related Variables ####
TEAMNAME=' . $connDetails['team']['name'] . '
TEAMIPRANGE=' . $connDetails['team']['ip']['evx'] . '
TEAMIP=' . $connDetails['team']['ip']['core'] . '
#Link Related Variables
NUMBEROFLINKS=' . count($connDetails['links']);
    $config = add_links_to_config($config, $connDetails['links']);
    $config = add_firewall_to_config($config, $connDetails['wan']);

    return $config;
}

function add_links_to_config($config, $links)
{

    foreach ($links as $link) {
        $config = $config . '
port' . $link['port'] . '=' . $link['name'] .'
' . $link['interface'] . '=' . 'port' . $link['port'];

    }

    return $config;
}

function add_firewall_to_config($config, $firewall)
{

    $config = $config . '
' . 'FIREWALLIFACE=' . $firewall['interface'];

    return $config;
}

function write_cfg($teamName,$config, $device)
{
    $file="../../temp/" . $device . "/" . $teamName . "/" . $teamName . ".cfg";
    $fh = fopen($file, "w") or die("Unable to open file!");
    if (!fwrite($fh, $config)) {
        return false;
    }

    return fclose($fh);
}
