<?php

require_once('../json-tools.php');

$fail_type = $_GET['fail-type'];

switch ($fail_type) {
  case 'raw':
    str_repeat("a", 10000000000);
    break;

  case 'soft-json':
    echo json_encode([
      'success' => false,
      'error' => [
        'code' => 200,
        'message' => 'Soft JSON error (code 200)'
      ]
    ]);
    break;

  case 'no-fail':
    break;

  case 'not-found':
    send_json_error('Item not found (code 404)', 404);
    break;

  default:
    send_json_error('This is an error message (code 500)');
    break;
}

