<?php
require('shell-controller.php');

echo json_encode(get_device_info());  


function get_device_info()
{
    $script = "../../scripts/getDeviceInfo";
    $mesg = run_shell_script($script);
    $err = check_error_state($mesg, "Getting device info");
    if (!$err['success']) {
        return $err;
    }

    return [
        'success' => true,
        'payload' => [
            'interfaces'=> $err['payload']
        ]
    ];
}
