<?php

function run_shell_script(string $script, $args="")
{
    exec("$script $args", $msg, $err);
    if ($err != 0 ) {
        return [
            'error_code' => $err,
            'message' => $msg
        ];
    }

    return  $msg;
}

function array_to_string(array $args)
{
    array_map("escapeshellarg", $args);
    
    return implode(' ', $args);
}

function check_error_state($mesg, $source)
{
    if( array_key_exists('error_code', $mesg)) { 
        return [
            'success' => false,
            'error' => $source . " Failed",
            'payload' => $mesg
        ];
    }

    return [
        'success' => true,
        'payload' => $mesg
    ];
}
