<?php

/*
  {
    interfaces: [
      'eth0',
      'eth1',
      'eth2'
    ]
  }
*/


$interface_count = random_int(4, 8);

$interfaces = [];

for ($i=0; $i < $interface_count; $i++) {
  $interfaces[] = 'eth' . $i;
}


function echo_json($value)
{
  header('Content-Type: application/json');
  echo json_encode($value);
}

function json_success($payload)
{
  echo_json([
    'success' => true,
    'payload' => $payload
  ]);
}

function json_fail($msg, $code)
{
  echo_json([
    'success' => false,
    'error' => [
      'code' => $code,
      'message' => $msg
    ]
  ]);
}



echo_json([
  'success' => true,
  'payload' => [
    'interfaces' => $interfaces
  ]
]);
