<?php

function create_evteam_conf($team,$links,$device)
{
    return [
        'device' => $team,
        'runner' => [
            'name' => "testing"
        ],
        'ports' => create_port_config($links, $device)
    ];
}

function create_port_config($links, $device)
{
    $links = array_flip($links);
    if ($device === "core"){
        return array_map(function($item){
            return [
                "prio" => 100,
                "link_watch" =>[
                    "name" => "arp_ping",
                    "interval" => 100,
                    "missed_max" => 3,
                    "source_host" => '10.10.' . ($item + 1) . '.1',
                    "target_host" => '10.10.' . ($item + 1) . '.2',
                    "send_always" => true
                ]
            ];
        }, $links);
    }

    return array_map(function($item){
        return [
            "prio" => 100,
            "link_watch" =>[
                "name" => "arp_ping",
                "interval" => 100,
                "missed_max" => 3,
                "source_host" => '10.10.' . ($item + 1) . '.2',
                "target_host" => '10.10.' . ($item + 1) . '.1',
                "send_always" => true
            ]
        ];
    }, $links);
}

function write_conf($teamConfig, $device)
{
    $file="../../temp/" . $device . "/" . $teamConfig['device'] . "/" . $teamConfig['device'] . ".conf";
    $fh = fopen($file, "w") or die("Unable to open file!");
    if (!fwrite($fh, json_encode($teamConfig, JSON_PRETTY_PRINT))) {
        return false;
    }

    return fclose($fh);
}
