<?php

require('config-generator.php');
require('core-details.php');
require('json-tools.php');

$requestData = get_post_json();

if (isset($requestData['connection'])) {

    $connRaw = $requestData['connection'];
    // $secondaryCore = create_secondary_core_details($connRaw);

    $connInfo = [
        'connection' => [
            'primary' => create_primary_config($connRaw),
            'secondary' => create_secondary_config($connRaw)
        ]
    ];

    send_json_success($connInfo);
} else {
    send_json_error("No connection data provided");
}
